summaryrefslogtreecommitdiffstats
path: root/extra/source/pure-alsa-system/xfce4-mixer
diff options
context:
space:
mode:
Diffstat (limited to 'extra/source/pure-alsa-system/xfce4-mixer')
-rw-r--r--extra/source/pure-alsa-system/xfce4-mixer/0001-Make-Unique-support-optional.patch87
-rw-r--r--extra/source/pure-alsa-system/xfce4-mixer/0001-Use-datadir-xfce4-mixer-as-MIXER_DATADIR.patch63
-rw-r--r--extra/source/pure-alsa-system/xfce4-mixer/0001-icons-Makefile.am-Remove-unnecessary-gtk-update-icon.patch36
-rw-r--r--extra/source/pure-alsa-system/xfce4-mixer/README.ALSA4
-rw-r--r--extra/source/pure-alsa-system/xfce4-mixer/doinst.sh14
-rw-r--r--extra/source/pure-alsa-system/xfce4-mixer/slack-desc19
-rwxr-xr-xextra/source/pure-alsa-system/xfce4-mixer/xfce4-mixer.SlackBuild125
7 files changed, 348 insertions, 0 deletions
diff --git a/extra/source/pure-alsa-system/xfce4-mixer/0001-Make-Unique-support-optional.patch b/extra/source/pure-alsa-system/xfce4-mixer/0001-Make-Unique-support-optional.patch
new file mode 100644
index 000000000..c53cd566d
--- /dev/null
+++ b/extra/source/pure-alsa-system/xfce4-mixer/0001-Make-Unique-support-optional.patch
@@ -0,0 +1,87 @@
+From 7a18841c988edb593127842ec5c919df537f9ce0 Mon Sep 17 00:00:00 2001
+From: Andrzej <ndrwrdck@gmail.com>
+Date: Sat, 12 Apr 2014 08:53:09 +0100
+Subject: [PATCH] Make Unique support optional
+
+---
+ configure.ac.in | 4 +++-
+ xfce4-mixer/main.c | 21 +++++++++++++++++++++
+ 2 files changed, 24 insertions(+), 1 deletion(-)
+
+--- ./configure.ac.in.orig 2014-04-09 14:44:50.000000000 -0500
++++ ./configure.ac.in 2018-04-24 12:36:10.442764602 -0500
+@@ -98,7 +98,6 @@
+ XDT_CHECK_PACKAGE([DBUS_GLIB], [dbus-glib-1], [0.84])
+ XDT_CHECK_PACKAGE([GST_PLUGINS_BASE], [gstreamer-plugins-base-0.10], [0.10.25])
+ XDT_CHECK_PACKAGE([GTK], [gtk+-2.0], [2.20.0])
+-XDT_CHECK_PACKAGE([UNIQUE], [unique-1.0], [1.1])
+ XDT_CHECK_PACKAGE([LIBXFCE4UTIL], [libxfce4util-1.0], [4.10.0])
+ XDT_CHECK_PACKAGE([LIBXFCE4UI], [libxfce4ui-1], [4.10.0])
+ XDT_CHECK_PACKAGE([LIBXFCE4PANEL], [libxfce4panel-1.0], [4.10.0])
+--- ./xfce4-mixer/main.c.orig 2014-04-09 14:44:50.000000000 -0500
++++ ./xfce4-mixer/main.c 2018-04-24 12:35:56.340763434 -0500
+@@ -30,7 +30,10 @@
+ #include <gst/gst.h>
+
+ #include <gtk/gtk.h>
++
++#ifdef HAVE_UNIQUE
+ #include <unique/unique.h>
++#endif
+
+ #include <libxfce4util/libxfce4util.h>
+ #include <libxfce4ui/libxfce4ui.h>
+@@ -42,6 +45,7 @@
+
+
+
++#ifdef HAVE_UNIQUE
+ static UniqueResponse
+ message_received (UniqueApp *app,
+ UniqueCommand command,
+@@ -68,6 +72,7 @@
+
+ return response;
+ }
++#endif
+
+
+
+@@ -75,7 +80,9 @@
+ main (int argc,
+ char **argv)
+ {
++#ifdef HAVE_UNIQUE
+ UniqueApp *app;
++#endif
+ GtkWidget *window;
+ GError *error = NULL;
+ gboolean debug_mode = FALSE;
+@@ -162,6 +169,7 @@
+ if (debug_mode)
+ xfce_mixer_dump_gst_data ();
+
++#ifdef HAVE_UNIQUE
+ /* Create unique application */
+ app = unique_app_new ("org.xfce.xfce4-mixer", NULL);
+ if (unique_app_is_running (app))
+@@ -192,6 +200,19 @@
+ /* Destroy the window */
+ gtk_widget_destroy (window);
+ }
++#else
++ /* Create the mixer window */
++ window = xfce_mixer_window_new ();
++
++ /* Display the mixer window */
++ gtk_widget_show (window);
++
++ /* Enter the GTK+ main loop */
++ gtk_main ();
++
++ /* Destroy the window */
++ gtk_widget_destroy (window);
++#endif
+
+ /* Shutdown the mixer library */
+ xfce_mixer_shutdown ();
diff --git a/extra/source/pure-alsa-system/xfce4-mixer/0001-Use-datadir-xfce4-mixer-as-MIXER_DATADIR.patch b/extra/source/pure-alsa-system/xfce4-mixer/0001-Use-datadir-xfce4-mixer-as-MIXER_DATADIR.patch
new file mode 100644
index 000000000..f0b32dad3
--- /dev/null
+++ b/extra/source/pure-alsa-system/xfce4-mixer/0001-Use-datadir-xfce4-mixer-as-MIXER_DATADIR.patch
@@ -0,0 +1,63 @@
+From a60d7b81674449d1753fcf8bb15c57fc178424e6 Mon Sep 17 00:00:00 2001
+From: Robby Workman <rworkman@slackware.com>
+Date: Thu, 19 Feb 2015 19:36:21 -0600
+Subject: [PATCH 1/2] Use $(datadir)/xfce4/mixer/ as MIXER_DATADIR
+
+Follow common practice of other Xfce componenets and use
+$(datadir)/xfce4/mixer/ instead of $(datadir)/xfce4-mixer/.
+---
+ icons/16x16/Makefile.am | 2 +-
+ icons/scalable/Makefile.am | 2 +-
+ libxfce4mixer/Makefile.am | 2 +-
+ xfce4-mixer/Makefile.am | 2 +-
+ 4 files changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/icons/16x16/Makefile.am b/icons/16x16/Makefile.am
+index 803a2e4..ace4a07 100644
+--- a/icons/16x16/Makefile.am
++++ b/icons/16x16/Makefile.am
+@@ -1,4 +1,4 @@
+-iconsdir = $(pkgdatadir)/icons/hicolor/16x16/status
++iconsdir = $(datadir)/xfce4/mixer/icons/hicolor/16x16/status
+ icons_DATA = audio-input-microphone-muted.png
+
+ EXTRA_DIST = $(icons_DATA)
+diff --git a/icons/scalable/Makefile.am b/icons/scalable/Makefile.am
+index 5bfc12c..5212e63 100644
+--- a/icons/scalable/Makefile.am
++++ b/icons/scalable/Makefile.am
+@@ -1,4 +1,4 @@
+-iconsdir = $(pkgdatadir)/icons/hicolor/scalable/status
++iconsdir = $(datadir)/xfce4/mixer/icons/hicolor/scalable/status
+ icons_DATA = audio-input-microphone-muted.svg
+
+ EXTRA_DIST = $(icons_DATA)
+diff --git a/libxfce4mixer/Makefile.am b/libxfce4mixer/Makefile.am
+index 792a95e..e864ea8 100644
+--- a/libxfce4mixer/Makefile.am
++++ b/libxfce4mixer/Makefile.am
+@@ -25,7 +25,7 @@ libxfce4mixer_la_CPPFLAGS = \
+ -DDATADIR=\"$(datadir)\" \
+ -DPACKAGE_LOCALE_DIR=\"$(localedir)\" \
+ -DG_LOG_DOMAIN=\"libxfce4mixer\" \
+- -DMIXER_DATADIR=\"$(pkgdatadir)\"
++ -DMIXER_DATADIR=\"$(datadir)/xfce4/mixer\"
+
+ libxfce4mixer_la_CFLAGS = \
+ $(PLATFORM_CFLAGS) \
+diff --git a/xfce4-mixer/Makefile.am b/xfce4-mixer/Makefile.am
+index 4af69e9..f979b92 100644
+--- a/xfce4-mixer/Makefile.am
++++ b/xfce4-mixer/Makefile.am
+@@ -23,7 +23,7 @@ xfce4_mixer_CPPFLAGS = \
+ -I$(top_srcdir) \
+ -DPACKAGE_LOCALE_DIR=\"$(localedir)\" \
+ -DDATADIR=\"$(datadir)\" \
+- -DMIXER_DATADIR=\"$(pkgdatadir)\" \
++ -DMIXER_DATADIR=\"$(datadir)/xfce4/mixer\" \
+ -DG_LOG_DOMAIN=\"xfce4-mixer\"
+
+ xfce4_mixer_CFLAGS = \
+--
+2.3.1
+
diff --git a/extra/source/pure-alsa-system/xfce4-mixer/0001-icons-Makefile.am-Remove-unnecessary-gtk-update-icon.patch b/extra/source/pure-alsa-system/xfce4-mixer/0001-icons-Makefile.am-Remove-unnecessary-gtk-update-icon.patch
new file mode 100644
index 000000000..ce1eae687
--- /dev/null
+++ b/extra/source/pure-alsa-system/xfce4-mixer/0001-icons-Makefile.am-Remove-unnecessary-gtk-update-icon.patch
@@ -0,0 +1,36 @@
+From 735927c7a72b69f60f13fe7bcf4a10c1a80ca151 Mon Sep 17 00:00:00 2001
+From: Robby Workman <rworkman@slackware.com>
+Date: Thu, 19 Feb 2015 19:07:06 -0600
+Subject: [PATCH] icons/Makefile.am: Remove unnecessary gtk-update-icon-cache
+
+No icons are installed in the standard paths any more, so this
+appears to be leftover code.
+---
+ icons/Makefile.am | 13 -------------
+ 1 file changed, 13 deletions(-)
+
+diff --git a/icons/Makefile.am b/icons/Makefile.am
+index 70638c1..035476a 100644
+--- a/icons/Makefile.am
++++ b/icons/Makefile.am
+@@ -4,17 +4,4 @@ SUBDIRS = \
+ 16x16 \
+ scalable
+
+-gtk_update_icon_cache = gtk-update-icon-cache -f -t $(datadir)/icons/hicolor
+-
+-install-data-hook:
+- @-if test -z "$(DESTDIR)"; then \
+- echo "Updating Gtk icon cache."; \
+- $(gtk_update_icon_cache); \
+- else \
+- echo "*** Icon cache not updated. Remember to run:"; \
+- echo "***"; \
+- echo "*** $(gtk_update_icon_cache)"; \
+- echo "***"; \
+- fi
+-
+ # vi:set ts=8 sw=8 noet ai nocindent syntax=automake:
+--
+2.3.1
+
diff --git a/extra/source/pure-alsa-system/xfce4-mixer/README.ALSA b/extra/source/pure-alsa-system/xfce4-mixer/README.ALSA
new file mode 100644
index 000000000..9e7947cee
--- /dev/null
+++ b/extra/source/pure-alsa-system/xfce4-mixer/README.ALSA
@@ -0,0 +1,4 @@
+This package is only useful on a pure ALSA system, and so it is not built
+by default. For information about removing PulseAudio and switching to
+pure ALSA (this is not generally recommended, but some use-cases demand it),
+please see the files in ../../l/alsa-lib.
diff --git a/extra/source/pure-alsa-system/xfce4-mixer/doinst.sh b/extra/source/pure-alsa-system/xfce4-mixer/doinst.sh
new file mode 100644
index 000000000..9830478e8
--- /dev/null
+++ b/extra/source/pure-alsa-system/xfce4-mixer/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/extra/source/pure-alsa-system/xfce4-mixer/slack-desc b/extra/source/pure-alsa-system/xfce4-mixer/slack-desc
new file mode 100644
index 000000000..dbf29ce0b
--- /dev/null
+++ b/extra/source/pure-alsa-system/xfce4-mixer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xfce4-mixer: xfce4-mixer (Sound mixer applet for Xfce)
+xfce4-mixer:
+xfce4-mixer: The xfce4-mixer package contains a volume control application based
+xfce4-mixer: on GStreamer written to conceptually fit into the Xfce desktop
+xfce4-mixer: environment. It also contains a plugin for the Xfce panel which is
+xfce4-mixer: especially designed for use with the mouse wheel.
+xfce4-mixer:
+xfce4-mixer:
+xfce4-mixer:
+xfce4-mixer:
+xfce4-mixer:
diff --git a/extra/source/pure-alsa-system/xfce4-mixer/xfce4-mixer.SlackBuild b/extra/source/pure-alsa-system/xfce4-mixer/xfce4-mixer.SlackBuild
new file mode 100755
index 000000000..9e38cdb0e
--- /dev/null
+++ b/extra/source/pure-alsa-system/xfce4-mixer/xfce4-mixer.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/bash
+
+# Slackware build script for xfce4-mixer
+
+# Copyright 2010, 2011 Robby Workman, Northport, Alabama, USA
+# Copyright 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=xfce4-mixer
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1_alsa}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/0001-Make-Unique-support-optional.patch | patch -p1 --verbose || exit 1
+zcat $CWD/0001-Use-datadir-xfce4-mixer-as-MIXER_DATADIR.patch | patch -p1 --verbose || exit 1
+zcat $CWD/0001-icons-Makefile.am-Remove-unnecessary-gtk-update-icon.patch | patch -p1 --verbose || exit 1
+
+xdt-autogen
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc/xfce \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --disable-debug \
+ --disable-unique \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING* HACKING INSTALL NEWS README* THANKS TODO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz